DKBSignDocs

API reference

POSTRequires Bearer token

Validate a mass-sign payload

/api/v4/sign-batch/validate

Same inputs as /sign-batch but does not sign. HTTP 200 if valid, 400 otherwise.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
documents
Required
arrayPDFs to validate (max 10 MB each).
e.g. ["example"]
signers_csv
Required
stringCSV aligned with the documents.
e.g. "example"

Responses

StatusMeaning
200Payload is valid
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v4/sign-batch/validate' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'documents=example' \
  -F 'signers_csv=example'

Response 200

json
{
  "valid": true,
  "documents_count": 5,
  "signers_count": 5,
  "valid_pdfs": 5,
  "signatures_required": 5,
  "errors": [],
  "warnings": []
}